#include <Item/IEquipment.hpp>
#include <Item/StatelessItem/BasicItem/NavItem/NavItem.hpp>
#include <MapTool/MapPanTool/MapPanTool.hpp>
#include <Widget/Label/Label.hpp>
#include <Widget/Layout/Column/Column.hpp>
#include <Widget/Layout/Margin/Margin.hpp>
#include <Widget/Layout/Row/Row.hpp>
#include <Widget/MapView/MapView.hpp>
#include <Display/Display.hpp>
#include <Display/WidgetDisplay/WorldDisplay/WorldDisplay.hpp>
#include <Widget/Panel/Panel.hpp>

NavItem::NavItem(std::string name, std::string displayName, Material &mat, MapLevel mapLevel) :
    BasicItem(name, displayName, mat),
    mapLevel(mapLevel)
{
    setMaxStackSize(1);
}

IEquipment::MapLevel NavItem::getMapLevel()
{
    return mapLevel;
}

std::string NavItem::getGadgetControllerID()
{
    return "main:MinimapController";
}